Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class I3DXMLImporter

    java.lang.Object
      igeo.io.I3DXMLImporter

    public class I3DXMLImporter

extends java.lang.Object

3DXML Importer

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Nested Class Summary
`static class` | `I3DXMLImporter.Face`
`static class` | `I3DXMLImporter.Fan`
`static class` | `I3DXMLImporter.Strip`
`static class` | `I3DXMLImporter.Triangle`

Field Summary
`java.util.ArrayList<I3DXMLImporter.Face>` | `faces`
`java.util.ArrayList<IVec>` | `normals`
`java.util.ArrayList<IVec>` | `positions`
`java.util.ArrayList<IVec2>` | `texture`
`java.util.ArrayList<IVertex>` | `vertices`

Constructor Summary
`I3DXMLImporter()`

Method Summary
`void` | `createMesh()`
`static void` | `main(java.lang.String[] args)`
`void` | `readFace(org.w3c.dom.Node node)`
`void` | `readFaces(org.w3c.dom.Node node)`
`void` | `readNormals(org.w3c.dom.Node node)`
`void` | `readPositions(org.w3c.dom.Node node)`
`void` | `readTextureCoordinates(org.w3c.dom.Node node)`
`void` | `readVertexBuffer(org.w3c.dom.Node node)`
`void` | `recurse(org.w3c.dom.Node node)`
`static void` | `recursivePrint(org.w3c.dom.Node node, int depth)`
`void` | `trace(org.w3c.dom.Node top)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### positions

    public java.util.ArrayList<IVec> positions

### normals

    public java.util.ArrayList<IVec> normals

### texture

    public java.util.ArrayList<IVec2> texture

### vertices

    public java.util.ArrayList<IVertex> vertices

### faces

    public java.util.ArrayList<I3DXMLImporter.Face> faces

Constructor Detail

### I3DXMLImporter

    public I3DXMLImporter()

Method Detail

### createMesh

    public void createMesh()

### trace

    public void trace(org.w3c.dom.Node top)

### recurse

    public void recurse(org.w3c.dom.Node node)

### readFaces

    public void readFaces(org.w3c.dom.Node node)

### readFace

    public void readFace(org.w3c.dom.Node node)

### readVertexBuffer

    public void readVertexBuffer(org.w3c.dom.Node node)

### readPositions

    public void readPositions(org.w3c.dom.Node node)

### readNormals

    public void readNormals(org.w3c.dom.Node node)

### readTextureCoordinates

    public void readTextureCoordinates(org.w3c.dom.Node node)

### recursivePrint

    public static void recursivePrint(org.w3c.dom.Node node,
                                      int depth)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD